import './styles';

import App from './App.vue';

async function init() {
  const app = createApp(App);
  {
    // https://github.com/antfu-collective/vitesse/blob/47618e72dfba76c77b9b85b94784d739e35c492b/src/modules/README.md
    type UserPluginContext = { app: import('vue').App<Element> };
    type UserPlugin = (ctx: UserPluginContext) => void;
    Object.values(import.meta.glob<{ install: UserPlugin }>('./plugins/*.ts', { eager: true })).forEach((i) =>
      i.install?.({ app }),
    );
  }

  app.config.globalProperties.$__DEV__ = $__DEV__;

  app.mount('#app');
}

init();
